vsClojure

Free

Support for ClojureCLR and ClojureScript.

(3) Review
Visual Studio
2013, 2012, 2010
Download (2,875)
3/1/2014
2.1.6
View
E-mail Twitter del.icio.us Digg Facebook
Add to favorites
Description
Reviews (3)
Q and A (3)
Sign in to write a review
Sort by:

by Jon Schoning | April 16 2014

by Enjektø | June 08 2013

Tusen Takk! Jeg elsker FP!

by timothypratley | April 22 2013

Great tool for a great language, thanks for writing it! :)

Sign in to start a discussion


  • VS2013 support?
    2 Posts | Last post January 07, 2014
    • Hi, This page says VS2013 is supported, but when I try to create an application, I get an error saying that this kind of project (cljproj) is not supported by this version, and telling me that I should use a supported version of VS.  Is this meant to work on VS2013?
    • Mark,
      
      It should work with vs2013 (except express version). Would you mind creating an issue at https://github.com/vsClojure/vsClojure ?
      
      Thanks
  • VS Express?
    2 Posts | Last post April 23, 2013
    • This extension can't be installed into VS Express for Desktop 2012. Is that due to a limitation of Express or can the extension be made available for Express?
    • It's a limitation of express. Visual Studio allows template extensions to be installed, but not tool extensions. I suppose I could attempt to write a dumbed-down version for express if there was a large enough community asking for it. For now, you may want to try a clojure ide for the jvm. http://www.bestinclass.dk/index.clj/2010/03/clojure-ides-the-grand-tour-getting-started.html Tools for the CLR are harder to find, but you could always use the command line. Hopefully there will be more CLR tools in the future.
  • Crash on Compile
    3 Posts | Last post March 16, 2013
    • Hi, I get the below error when I attempt to compile.
      
      Win 7 64, VS2012
      
      Unhandled Exception: System.TypeInitializationException: The type initializer for 'clojure.lang.RT' threw an exception. ---> System.IO.FileLoadException: Could not load file or assembly 'Microsoft.Scripting, Version=1.1.0.20, Culture=neutral, PublicKeyToken=7f709c5b713576e1' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)
      	   at clojure.lang.RT..cctor()
    • You can download those dlls at https://github.com/downloads/clojure/clojure-clr/lib2.zip You'll want the versions inside the 4.0 folder.
      
      You'll want to put the dlls next to the other vsClojure dlls here:
      
      C:\Users\[username]\AppData\Local\Microsoft\VisualStudio\11.0\Extensions\[random letters]\Runtimes\1.5.0
      
      [username]and [random letters] are machine specific
      
      You may also need to create an environment variable clojure_load_path pointing to this same directory. (Right click my computer/properties/advanced/advanced/environment variables)
      
      This should be fixed in the next version. Try updating to the latest version in visual studio/tools/extensions and it may be resolved automatically.
    • I mistakenly put the wrong version of the Microsoft.Scripting & Microsoft.Dynamic dlls in the extension. I've uploaded a new version.